package sz

import "time"

type TempHdHospital struct {
	ID             int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	InstType       string    `gorm:"column:inst_type" json:"inst_type" form:"inst_type"`
	DepartmentName string    `gorm:"column:department_name" json:"department_name" form:"department_name"`
	AuthorizedBeds int64     `gorm:"column:authorized_beds" json:"authorized_beds" form:"authorized_beds"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime     time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
}

func (TempHdHospital) TableName() string {
	return "t_hd_hospital"
}

type TempHdStaff struct {
	ID                           int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId                   string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	StaffId                      string    `gorm:"column:staff_id" json:"staff_id" form:"staff_id"`
	IdType                       string    `gorm:"column:id_type" json:"id_type" form:"id_type"`
	IdNo                         string    `gorm:"column:id_no" json:"id_no" form:"id_no"`
	StaffName                    string    `gorm:"column:staff_name" json:"staff_name" form:"staff_name"`
	Position                     int64     `gorm:"column:position" json:"position" form:"position"`
	TrainingName                 string    `gorm:"column:training_name" json:"training_name" form:"training_name"`
	PracticeCertificate          string    `gorm:"column:practice_certificate" json:"practice_certificate" form:"practice_certificate"`
	PracticeCertificateNo        string    `gorm:"column:practice_certificate_no" json:"practice_certificate_no" form:"practice_certificate_no"`
	QualificationCertificate     string    `gorm:"column:qualification_certificate" json:"qualification_certificate" form:"qualification_certificate"`
	QualificationType            string    `gorm:"column:qualification_type" json:"qualification_type" form:"qualification_type"`
	PermanentType                int64     `gorm:"column:permanent_type" json:"permanent_type" form:"permanent_type"`
	DiplomaFile                  string    `gorm:"column:diploma_file" json:"diploma_file" form:"diploma_file"`
	DegreeCertificateFile        string    `gorm:"column:degree_certificate_file" json:"degree_certificate_file" form:"degree_certificate_file"`
	TrainingCertificateFile      string    `gorm:"column:training_certificate_file" json:"training_certificate_file" form:"training_certificate_file"`
	PracticeCertificateFile      string    `gorm:"column:practice_certificate_file" json:"practice_certificate_file" form:"practice_certificate_file"`
	QualificationCertificateFile string    `gorm:"column:qualification_certificate_file" json:"qualification_certificate_file" form:"qualification_certificate_file"`
	Xgbz                         int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	TrainingDate                 time.Time `gorm:"column:training_date" json:"training_date" form:"training_date"`
	InDate                       time.Time `gorm:"column:in_date" json:"in_date" form:"in_date"`
	OutDate                      time.Time `gorm:"column:out_date" json:"out_date" form:"out_date"`
	CreateTime                   time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime                   time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	Sjscsj                       time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj                           string    `gorm:"column:mj" json:"mj" form:"mj"`
	Ylyl1                        string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2                        string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	TechnicalPosition            int64     `gorm:"column:technical_position" json:"technical_position" form:"technical_position"`
	StaffLevel                   int64     `gorm:"column:staff_level" json:"staff_level" form:"staff_level"`
	IsAdvanced                   int64     `gorm:"column:is_advanced" json:"is_advanced" form:"is_advanced"`
	HospitalPosition             int64     `gorm:"column:hospital_position" json:"hospital_position" form:"hospital_position"`
	StaffNo                      string    `gorm:"column:staff_no" json:"staff_no" form:"staff_no"`
	Education                    string    `gorm:"column:education" json:"education" form:"education"`
	Specialty                    string    `gorm:"column:specialty" json:"specialty" form:"specialty"`
	StaffDegree                  string    `gorm:"column:staff_degree" json:"staff_degree" form:"staff_degree"`
	StaffStatus                  int64     `gorm:"column:staff_status" json:"staff_status" form:"staff_status"`
}

func (TempHdStaff) TableName() string {
	return "t_hd_staff"
}

type TempHdLayout struct {
	ID            int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId    string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PartitionName string    `gorm:"column:partition_name" json:"partition_name" form:"partition_name"`
	PartitionImg  string    `gorm:"column:partition_img" json:"partition_img" form:"partition_img"`
	FunctionArea  string    `gorm:"column:function_area" json:"function_area" form:"function_area"`
	Xgbz          string    `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	CreateTime    time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj        time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj            string    `gorm:"column:mj" json:"mj" form:"mj"`
	Ylyl1         string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2         string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	UpdateTime    time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (TempHdLayout) TableName() string {
	return "t_hd_layout"
}

type TempHdDm struct {
	ID             int64     `gorm:"column:id" json:"id"`
	HospitalId     string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId    string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	SickbedNo      string    `gorm:"column:SICKBED_NO" json:"SICKBED_NO"`
	EquipmentBrand string    `gorm:"column:EQUIPMENT_BRAND" json:"EQUIPMENT_BRAND"`
	EquipmentModel string    `gorm:"column:EQUIPMENT_MODEL" json:"EQUIPMENT_MODEL"`
	EnableTime     time.Time `gorm:"column:ENABLE_TIME" json:"ENABLE_TIME"`
	DiscardedTime  time.Time `gorm:"column:DISCARDED_TIME" json:"DISCARDED_TIME"`
	Status         string    `gorm:"column:STATUS" json:"STATUS"`
	EquipmentType  string    `gorm:"column:EQUIPMENT_TYPE" json:"EQUIPMENT_TYPE"`
	Temperature    string    `gorm:"column:TEMPERATURE" json:"TEMPERATURE"`
	Humidity       string    `gorm:"column:HUMIDITY" json:"HUMIDITY"`
	Pressure       string    `gorm:"column:PRESSURE" json:"PRESSURE"`
	PressureUnit   string    `gorm:"column:PRESSURE_UNIT" json:"PRESSURE_UNIT"`
	WorkingVoltage string    `gorm:"column:WORKING_VOLTAGE" json:"WORKING_VOLTAGE"`
	Xgbz           string    `gorm:"column:XGBZ" json:"XGBZ"`
	Bbp            string    `gorm:"column:BBP" json:"BBP"`
	CreateTime     time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime     time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj         time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj             string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1          string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2          string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdDm) TableName() string {
	return "t_hd_dm"
}

type TempHdWm struct {
	ID              int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId      string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	EquipmentId     string    `gorm:"column:equipment_id" json:"equipment_id" form:"equipment_id"`
	EquipmentBrand  string    `gorm:"column:equipment_brand" json:"equipment_brand" form:"equipment_brand"`
	EquipmentModel  string    `gorm:"column:equipment_model" json:"equipment_model" form:"equipment_model"`
	EnableTime      time.Time `gorm:"column:enable_time" json:"enable_time" form:"enable_time"`
	DiscardedTime   time.Time `gorm:"column:discarded_time" json:"discarded_time" form:"discarded_time"`
	EquipmentType   int64     `gorm:"column:equipment_type" json:"equipment_type" form:"equipment_type"`
	Temperature     string    `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Humidity        string    `gorm:"column:humidity" json:"humidity" form:"humidity"`
	Pressure        string    `gorm:"column:pressure" json:"pressure" form:"pressure"`
	PressureUnit    int64     `gorm:"column:pressure_unit" json:"pressure_unit" form:"pressure_unit"`
	QualityStandard string    `gorm:"column:quality_standard" json:"quality_standard" form:"quality_standard"`
	Xgbz            int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	CreateTime      time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime      time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	Sjscsj          time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj              int64     `gorm:"column:mj" json:"mj" form:"mj"`
	Ylyl1           int64     `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2           int64     `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
}

func (TempHdWm) TableName() string {
	return "t_hd_wm"
}

type TempHdMaintain struct {
	ID            int64     `gorm:"column:id" json:"id" form:"id"`
	Sn            string    `gorm:"column:sn" json:"sn" form:"sn"`
	HospitalId    string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	EquipmentId   string    `gorm:"column:equipment_id" json:"equipment_id" form:"equipment_id"`
	EquipmentType string    `gorm:"column:equipment_type" json:"equipment_type" form:"equipment_type"`
	RepairTime    time.Time `gorm:"column:repair_time" json:"repair_time" form:"repair_time"`
	Xgbz          int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	CreateTime    time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj        time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj            string    `gorm:"column:mj" json:"mj" form:"mj"`
	Ylyl1         string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2         string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
}

func (TempHdMaintain) TableName() string {
	return "t_hd_maintain"
}

type TempHdDisinfectMethod struct {
	ID              int64     `gorm:"column:id" json:"id"`
	SN              string    `gorm:"column:SN" json:"SN"`
	HospitalId      string    `gorm:"column:HOSPITAL_ID" json:"HOSPITAL_ID"`
	EquipmentId     string    `gorm:"column:EQUIPMENT_ID" json:"EQUIPMENT_ID"`
	EquipmentType   string    `gorm:"column:EQUIPMENT_TYPE" json:"EQUIPMENT_TYPE"`
	EquipmentModel  string    `gorm:"column:EQUIPMENT_MODEL" json:"EQUIPMENT_MODEL"`
	DisinfectMethod string    `gorm:"column:DISINFECT_METHOD" json:"DISINFECT_METHOD"`
	Disinfector     string    `gorm:"column:DISINFECTOR" json:"DISINFECTOR"`
	Concentration   string    `gorm:"column:CONCENTRATION" json:"CONCENTRATION"`
	Frequency       string    `gorm:"column:FREQUENCY" json:"FREQUENCY"`
	Xgbz            string    `gorm:"column:XGBZ" json:"XGBZ"`
	CreateTime      time.Time `gorm:"column:CREATE_TIME" json:"CREATE_TIME"`
	UpdateTime      time.Time `gorm:"column:UPDATE_TIME" json:"UPDATE_TIME"`
	Sjscsj          time.Time `gorm:"column:SJSCSJ" json:"SJSCSJ"`
	Mj              string    `gorm:"column:MJ" json:"MJ"`
	Ylyl1           string    `gorm:"column:YLYL1" json:"YLYL1"`
	Ylyl2           string    `gorm:"column:YLYL2" json:"YLYL2"`
}

func (TempHdDisinfectMethod) TableName() string {
	return "t_hd_disinfect_method"
}

type TempHdOtherMachine struct {
	ID             int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	EquipmentId    string    `gorm:"column:equipment_id" json:"equipment_id" form:"equipment_id"`
	EquipmentBrand string    `gorm:"column:equipment_brand" json:"equipment_brand" form:"equipment_brand"`
	EquipmentModel string    `gorm:"column:equipment_model" json:"equipment_model" form:"equipment_model"`
	EnableTime     time.Time `gorm:"column:enable_time" json:"enable_time" form:"enable_time"`
	DiscardedTime  time.Time `gorm:"column:discarded_time" json:"discarded_time" form:"discarded_time"`
	Status         int64     `gorm:"column:status" json:"status" form:"status"`
	Xgbz           string    `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime     time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj             int64     `gorm:"column:mj" json:"mj" form:"mj"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	EquipmentType  int64     `gorm:"column:equipment_type" json:"equipment_type" form:"equipment_type"`
}

func (TempHdOtherMachine) TableName() string {
	return "t_hd_other_machine"
}

type TempHdPatient struct {
	ID                 int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId         string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PatientNk          int64     `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	CardNo             string    `gorm:"column:card_no" json:"card_no" form:"card_no"`
	CardType           int64     `gorm:"column:card_type" json:"card_type" form:"card_type"`
	IdNo               string    `gorm:"column:id_no" json:"id_no" form:"id_no"`
	IdType             string    `gorm:"column:id_type" json:"id_type" form:"id_type"`
	PatientName        string    `gorm:"column:patient_name" json:"patient_name" form:"patient_name"`
	Gender             string    `gorm:"column:gender" json:"gender" form:"gender"`
	BornDate           time.Time `gorm:"column:born_date" json:"born_date" form:"born_date"`
	OutpatientNo       string    `gorm:"column:outpatient_no" json:"outpatient_no" form:"outpatient_no"`
	DiagnosisSummary   string    `gorm:"column:diagnosis_summary" json:"diagnosis_summary" form:"diagnosis_summary"`
	IsCrf              string    `gorm:"column:is_crf" json:"is_crf" form:"is_crf"`
	AllergyHistory     string    `gorm:"column:allergy_history" json:"allergy_history" form:"allergy_history"`
	PayMethod          string    `gorm:"column:pay_method" json:"pay_method" form:"pay_method"`
	RrtStartTime       time.Time `gorm:"column:rrt_start_time" json:"rrt_start_time" form:"rrt_start_time"`
	DialysisStartTime  time.Time `gorm:"column:dialysis_start_time" json:"dialysis_start_time" form:"dialysis_start_time"`
	LocalStartTime     time.Time `gorm:"column:local_start_time" json:"local_start_time" form:"local_start_time"`
	CreateTime         time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime         time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	Sjscsj             time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj                 int64     `gorm:"column:mj" json:"mj" form:"mj"`
	Ylyl1              int64     `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2              int64     `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	PatientPhoneNo     string    `gorm:"column:patient_phone_no" json:"patient_phone_no" form:"patient_phone_no"`
	FolkPhoneNo        string    `gorm:"column:folk_phone_no" json:"folk_phone_no" form:"folk_phone_no"`
	PatientNationality int64     `gorm:"column:patient_nationality" json:"patient_nationality" form:"patient_nationality"`
	Province           int64     `gorm:"column:province" json:"province" form:"province"`
	City               int64     `gorm:"column:city" json:"city" form:"city"`
	District           int64     `gorm:"column:district" json:"district" form:"district"`
	Subdistrict        int64     `gorm:"column:subdistrict" json:"subdistrict" form:"subdistrict"`
	DetailAddress      string    `gorm:"column:detail_address" json:"detail_address" form:"detail_address"`
	PatientHeight      int64     `gorm:"column:patient_height" json:"patient_height" form:"patient_height"`
	HospitalizedNo     string    `gorm:"column:hospitalized_no" json:"hospitalized_no" form:"hospitalized_no"`
	IsTerminated       int64     `gorm:"column:is_terminated" json:"is_terminated" form:"is_terminated"`
	InCrrtDate         time.Time `gorm:"column:in_crrt_date" json:"in_crrt_date" form:"in_crrt_date"`
	Xgbz               int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	LocalInsurance     int64     `gorm:"column:local_insurance" json:"local_insurance" form:"local_insurance"`
}

func (TempHdPatient) TableName() string {
	return "t_hd_patient"
}

type TempHdPatientOut struct {
	ID              int64     `gorm:"column:id" json:"id" form:"id"`
	Sn              string    `gorm:"column:sn" json:"sn" form:"sn"`
	HospitalId      string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PatientNk       string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	SequelaeDate    time.Time `gorm:"column:sequelae_date" json:"sequelae_date" form:"sequelae_date"`
	SequelaeType    string    `gorm:"column:sequelae_type" json:"sequelae_type" form:"sequelae_type"`
	SequelaeSubType string    `gorm:"column:sequelae_sub_type" json:"sequelae_sub_type" form:"sequelae_sub_type"`
	ExtReason       string    `gorm:"column:ext_reason" json:"ext_reason" form:"ext_reason"`
	CreateTime      time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj          time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj              string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz            int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1           string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2           string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
}

func (TempHdPatientOut) TableName() string {
	return "t_hd_patient_out"
}

type TempHdPs struct {
	ID                   int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId           string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PrescribeId          string    `gorm:"column:prescribe_id" json:"prescribe_id" form:"prescribe_id"`
	PatientNk            string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	MedicalId            string    `gorm:"column:medical_id" json:"medical_id" form:"medical_id"`
	DrId                 int64     `gorm:"column:dr_id" json:"dr_id" form:"dr_id"`
	Sn                   string    `gorm:"column:sn" json:"sn" form:"sn"`
	DialysisFrequency    int64     `gorm:"column:dialysis_frequency" json:"dialysis_frequency" form:"dialysis_frequency"`
	FrequencyUnit        int64     `gorm:"column:frequency_unit" json:"frequency_unit" form:"frequency_unit"`
	DialysisDuration     float64   `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	Hdf                  string    `gorm:"column:hdf" json:"hdf" form:"hdf"`
	HdfFrequencyUnit     int64     `gorm:"column:hdf_frequency_unit" json:"hdf_frequency_unit" form:"hdf_frequency_unit"`
	HdfFrequency         int64     `gorm:"column:hdf_frequency" json:"hdf_frequency" form:"hdf_frequency"`
	HdfDuration          float64   `gorm:"column:hdf_duration" json:"hdf_duration" form:"hdf_duration"`
	Hp                   string    `gorm:"column:hp" json:"hp" form:"hp"`
	HpFrequency          int64     `gorm:"column:hp_frequency" json:"hp_frequency" form:"hp_frequency"`
	HpFrequencyUnit      int64     `gorm:"column:hp_frequency_unit" json:"hp_frequency_unit" form:"hp_frequency_unit"`
	HpDuration           float64   `gorm:"column:hp_duration" json:"hp_duration" form:"hp_duration"`
	K                    float64   `gorm:"column:k" json:"k" form:"k"`
	DialysisId           int64     `gorm:"column:dialysis_id" json:"dialysis_id" form:"dialysis_id"`
	MedicineTypeId       int64     `gorm:"column:medicine_type_id" json:"medicine_type_id" form:"medicine_type_id"`
	Ca                   float64   `gorm:"column:ca" json:"ca" form:"ca"`
	Na                   float64   `gorm:"column:na" json:"na" form:"na"`
	Glucose              int64     `gorm:"column:glucose" json:"glucose" form:"glucose"`
	FluxLevel            int64     `gorm:"column:flux_level" json:"flux_level" form:"flux_level"`
	FluxValue            string    `gorm:"column:flux_value" json:"flux_value" form:"flux_value"`
	UseType              int64     `gorm:"column:use_type" json:"use_type" form:"use_type"`
	PrescribeTime        time.Time `gorm:"column:prescribe_time" json:"prescribe_time" form:"prescribe_time"`
	DialysisMembrane     int64     `gorm:"column:dialysis_membrane" json:"dialysis_membrane" form:"dialysis_membrane"`
	CreateTime           time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	PatientNo            int64     `gorm:"column:patient_no" json:"patient_no" form:"patient_no"`
	Sjscsj               time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj                   int64     `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz                 int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	AType                int64     `gorm:"column:a_type" json:"a_type" form:"a_type"`
	Ylyl1                string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2                string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	RrtType              int64     `gorm:"column:rrt_type" json:"rrt_type" form:"rrt_type"`
	MedicineId           int64     `gorm:"column:medicine_id" json:"medicine_id" form:"medicine_id"`
	ABSource             int64     `gorm:"column:a_b_source" json:"a_b_source" form:"a_b_source"`
	B                    int64     `gorm:"column:b" json:"b" form:"b"`
	EquipmentType        int64     `gorm:"column:equipment_type" json:"equipment_type" form:"equipment_type"`
	DialysisMembraneSize int64     `gorm:"column:dialysis_membrane_size" json:"dialysis_membrane_size" form:"dialysis_membrane_size"`
	UpdateTime           time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (TempHdPs) TableName() string {
	return "t_hd_ps"
}

type TempHdPsMedicine struct {
	ID             int64     `gorm:"column:id" json:"id" form:"id"`
	Sn             string    `gorm:"column:sn" json:"sn" form:"sn"`
	PrescribeId    string    `gorm:"column:prescribe_id" json:"prescribe_id" form:"prescribe_id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	MedicineTypeId string    `gorm:"column:medicine_type_id" json:"medicine_type_id" form:"medicine_type_id"`
	MedicineId     string    `gorm:"column:medicine_id" json:"medicine_id" form:"medicine_id"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
}

func (TempHdPsMedicine) TableName() string {
	return "t_hd_ps_medicine"
}

type TempHdInfection struct {
	ID         int64     `gorm:"column:id" json:"id" form:"id"`
	Sn         string    `gorm:"column:sn" json:"sn" form:"sn"`
	HospitalId string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PatientNk  string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	Hbv        string    `gorm:"column:hbv" json:"hbv" form:"hbv"`
	Hcv        string    `gorm:"column:hcv" json:"hcv" form:"hcv"`
	Rpr        string    `gorm:"column:rpr" json:"rpr" form:"rpr"`
	Hiv        string    `gorm:"column:hiv" json:"hiv" form:"hiv"`
	Hbsag      string    `gorm:"column:hbsag" json:"hbsag" form:"hbsag"`
	Hbs        string    `gorm:"column:hbs" json:"hbs" form:"hbs"`
	Hbeag      string    `gorm:"column:hbeag" json:"hbeag" form:"hbeag"`
	Hbe        string    `gorm:"column:hbe" json:"hbe" form:"hbe"`
	Hbc        string    `gorm:"column:hbc" json:"hbc" form:"hbc"`
	CheckDate  time.Time `gorm:"column:check_date" json:"check_date" form:"check_date"`
	CreateTime time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj     time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj         string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz       int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1      string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2      string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	Hbsab      string    `gorm:"column:hbsab" json:"hbsab" form:"hbsab"`
	Hbeab      string    `gorm:"column:hbeab" json:"hbeab" form:"hbeab"`
	Hbcab      string    `gorm:"column:hbcab" json:"hbcab" form:"hbcab"`
}

func (TempHdInfection) TableName() string {
	return "t_hd_infection"
}

type TempHdInhospital struct {
	ID                 int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId         string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	MedicalNo          string    `gorm:"column:medical_no" json:"medical_no" form:"medical_no"`
	AdmissionTime      time.Time `gorm:"column:admission_time" json:"admission_time" form:"admission_time"`
	AdmissionCause     int64     `gorm:"column:admission_cause" json:"admission_cause" form:"admission_cause"`
	CreateTime         time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj             time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj                 string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz               int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1              string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2              string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	PatientNk          int64     `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	AdmissionCauseDesc string    `gorm:"column:admission_cause_desc" json:"admission_cause_desc" form:"admission_cause_desc"`
}

func (TempHdInhospital) TableName() string {
	return "t_hd_inhospital"
}

type TempHdOuthospital struct {
	ID            int64     `gorm:"column:id" json:"id" form:"id"`
	HospitalId    string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	MedicalNo     string    `gorm:"column:medical_no" json:"medical_no" form:"medical_no"`
	DischargeDate time.Time `gorm:"column:discharge_date" json:"discharge_date" form:"discharge_date"`
	CreateTime    time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj        time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj            string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz          int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1         int64     `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2         int64     `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	PatientNk     int64     `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
}

func (TempHdOuthospital) TableName() string {
	return "t_hd_outhospital"
}

type DataUpload struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId           int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	SyncType        int64  `gorm:"column:sync_type" json:"sync_type" form:"sync_type"`
	SyncTime        int64  `gorm:"column:sync_time" json:"sync_time" form:"sync_time"`
	SyncResultType  int    `gorm:"column:sync_result_type" json:"sync_result_type" form:"sync_result_type"`
	SyncRsultRemark string `gorm:"column:sync_result_remark" json:"sync_result_remark" form:"sync_result_remark"`
	SyncTotalNum    int64  `gorm:"column:sync_total_num" json:"sync_total_num" form:"sync_total_num"`
	SyncSuccessNum  int64  `gorm:"column:sync_success_num" json:"sync_success_num" form:"sync_success_num"`
	SyncInfo        string `gorm:"column:sync_info" json:"sync_info" form:"sync_info"`
	CreateTime      int64  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime      int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (DataUpload) TableName() string {
	return "data_sync_info"
}

type DataUploadConfig struct {
	ID             int64  `gorm:"column:id" json:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	ProvinceId     int64  `gorm:"column:province_id" json:"province_id"`
	CityId         int64  `gorm:"column:city_id" json:"city_id"`
	GatewayAddress string `gorm:"column:gateway_address" json:"gateway_address"`
	AppId          string `gorm:"column:app_id" json:"app_id"`
	Key            string `gorm:"column:key" json:"key"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreateTime     int64  `gorm:"column:create_time" json:"create_time"`
	ModifyTime     int64  `gorm:"column:modify_time" json:"modify_time"`
	TimeQuantum    int64  `gorm:"column:time_quantum" json:"time_quantum"`
	DepartmentName string `gorm:"column:department_name" json:"department_name"`
	HospitalId     string `gorm:"column:hospital_id" json:"hospital_id"`
	InstType       int64  `gorm:"column:inst_type" json:"inst_type"`
	DbHost         string `gorm:"column:db_host" json:"db_host"`
	DbPort         string `gorm:"column:db_port" json:"db_port"`
	DbUser         string `gorm:"column:db_user" json:"db_user"`
	DbPass         string `gorm:"column:db_pass" json:"db_pass"`
	DbName         string `gorm:"column:db_name" json:"db_name"`
}

func (DataUploadConfig) TableName() string {
	return "data_upload_config"
}

type TempHdShift struct {
	ID             int64     `gorm:"column:id" json:"id" form:"id"`
	PsId           string    `gorm:"column:ps_id" json:"ps_id" form:"ps_id"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PatientNk      string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	ScheduleDate   time.Time `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ShiftType      string    `gorm:"column:shift_type" json:"shift_type" form:"shift_type"`
	SickbedNo      string    `gorm:"column:sickbed_no" json:"sickbed_no" form:"sickbed_no"`
	ScheduleStatus string    `gorm:"column:schedule_status" json:"schedule_status" form:"schedule_status"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
}

func (TempHdShift) TableName() string {
	return "t_hd_shift"
}

type TempHdDoctorsAdvice struct {
	ID                    int64     `gorm:"column:id" json:"id" form:"id"`
	MedicalOrderId        string    `gorm:"column:medical_order_id" json:"medical_order_id" form:"medical_order_id"`
	HospitalId            string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	DialysisId            string    `gorm:"column:dialysis_id" json:"dialysis_id" form:"dialysis_id"`
	OrderType             string    `gorm:"column:order_type" json:"order_type" form:"order_type"`
	RrtType               int64     `gorm:"column:rrt_type" json:"rrt_type" form:"rrt_type"`
	PatientNk             string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	DialysisDuration      int64     `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	BloodVol              int64     `gorm:"column:blood_vol" json:"blood_vol" form:"blood_vol"`
	DryWeight             float64   `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	CreateTime            time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj                time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj                    string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz                  int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1                 string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2                 string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	HospitalizationNo     string    `gorm:"column:hospitalization_no" json:"hospitalization_no" form:"hospitalization_no"`
	OutpatientNo          string    `gorm:"column:outpatient_no" json:"outpatient_no" form:"outpatient_no"`
	RrtTypeName           string    `gorm:"column:rrt_type_name" json:"rrt_type_name" form:"rrt_type_name"`
	Txq                   int64     `gorm:"column:txq" json:"txq" form:"txq"`
	FluxLevel             int64     `gorm:"column:flux_level" json:"flux_level" form:"flux_level"`
	ReuseFlag             int64     `gorm:"column:reuse_flag" json:"reuse_flag" form:"reuse_flag"`
	MembraneType          int64     `gorm:"column:membrane_type" json:"membrane_type" form:"membrane_type"`
	MembraneSize          int64     `gorm:"column:membrane_size" json:"membrane_size" form:"membrane_size"`
	Dlflow                int64     `gorm:"column:dlflow" json:"dlflow" form:"dlflow"`
	DlTemperature         int64     `gorm:"column:dl_temperature" json:"dl_temperature" form:"dl_temperature"`
	ReplacementMode       int64     `gorm:"column:replacement_mode" json:"replacement_mode" form:"replacement_mode"`
	RlAmount              int64     `gorm:"column:rl_amount" json:"rl_amount" form:"rl_amount"`
	Anticoagulant         int64     `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantQuantity int64     `gorm:"column:anticoagulant_quantity" json:"anticoagulant_quantity" form:"anticoagulant_quantity"`
	InitialAmount         int64     `gorm:"column:initial_amount" json:"initial_amount" form:"initial_amount"`
	DlPotassium           int64     `gorm:"column:dl_potassium" json:"dl_potassium" form:"dl_potassium"`
	DlSodium              int64     `gorm:"column:dl_sodium" json:"dl_sodium" form:"dl_sodium"`
	BicarbonateRadical    int64     `gorm:"column:bicarbonate_radical" json:"bicarbonate_radical" form:"bicarbonate_radical"`
	MaintenanceQuantity   int64     `gorm:"column:maintenance_quantity" json:"maintenance_quantity" form:"maintenance_quantity"`
	Conductivity          int64     `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	DlCalcium             int64     `gorm:"column:dl_calcium" json:"dl_calcium" form:"dl_calcium"`
	ExecuteOrder          int64     `gorm:"column:execute_order" json:"execute_order" form:"execute_order"`
	UpdateTime            time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (TempHdDoctorsAdvice) TableName() string {
	return "t_hd_doctors_advice"
}

type TempHdDialysis struct {
	ID                    int64     `gorm:"column:id" json:"id" form:"id"`
	DialysisId            string    `gorm:"column:dialysis_id" json:"dialysis_id" form:"dialysis_id"`
	HospitalId            string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PatientNk             string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	PsId                  string    `gorm:"column:ps_id" json:"ps_id" form:"ps_id"`
	DialysisDate          time.Time `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
	SickbedNo             string    `gorm:"column:sickbed_no" json:"sickbed_no" form:"sickbed_no"`
	DivisionId            string    `gorm:"column:division_id" json:"division_id" form:"division_id"`
	EquipmentId           string    `gorm:"column:equipment_id" json:"equipment_id" form:"equipment_id"`
	MixDialysis           string    `gorm:"column:mix_dialysis" json:"mix_dialysis" form:"mix_dialysis"`
	ActualufMl            int64     `gorm:"column:actualuf_ml" json:"actualuf_ml" form:"actualuf_ml"`
	Ufv                   int64     `gorm:"column:ufv" json:"ufv" form:"ufv"`
	TotalReplace          int64     `gorm:"column:total_replace" json:"total_replace" form:"total_replace"`
	TotalTreatDuration    int64     `gorm:"column:total_treat_duration" json:"total_treat_duration" form:"total_treat_duration"`
	IsHospitalization     string    `gorm:"column:is_hospitalization" json:"is_hospitalization" form:"is_hospitalization"`
	IsEmergency           string    `gorm:"column:is_emergency" json:"is_emergency" form:"is_emergency"`
	EmergencyReason       string    `gorm:"column:emergency_reason" json:"emergency_reason" form:"emergency_reason"`
	IsPerioperativePeriod string    `gorm:"column:is_perioperative_period" json:"is_perioperative_period" form:"is_perioperative_period"`
	BeforeSbp             int64     `gorm:"column:before_sbp" json:"before_sbp" form:"before_sbp"`
	BeforeDbp             int64     `gorm:"column:before_dbp" json:"before_dbp" form:"before_dbp"`
	AfterSbp              int64     `gorm:"column:after_sbp" json:"after_sbp" form:"after_sbp"`
	AfterDbp              int64     `gorm:"column:after_dbp" json:"after_dbp" form:"after_dbp"`
	BeforeWeight          float64   `gorm:"column:before_weight" json:"before_weight" form:"before_weight"`
	AfterWeight           float64   `gorm:"column:after_weight" json:"after_weight" form:"after_weight"`
	AccessId              string    `gorm:"column:access_id" json:"access_id" form:"access_id"`
	DialyzerId            string    `gorm:"column:dialyzer_id" json:"dialyzer_id" form:"dialyzer_id"`
	Ktv                   float64   `gorm:"column:ktv" json:"ktv" form:"ktv"`
	StartTime             time.Time `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime               time.Time `gorm:"column:end_time" json:"end_time" form:"end_time"`
	CreateTime            time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj                time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj                    string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz                  int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1                 string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2                 string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	UpdateTime            time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	ChargeDoctorId        string    `gorm:"column:charge_doctor_id" json:"charge_doctor_id" form:"charge_doctor_id"`
	ChargeNurseId         string    `gorm:"column:charge_nurse_id" json:"charge_nurse_id" form:"charge_nurse_id"`
	UpNurseId             string    `gorm:"column:up_nurse_id" json:"up_nurse_id" form:"up_nurse_id"`
	DownNurseId           string    `gorm:"column:down_nurse_id" json:"down_nurse_id" form:"down_nurse_id"`
	CheckNurseId          string    `gorm:"column:check_nurse_id" json:"check_nurse_id" form:"check_nurse_id"`
	PunctureNurseId       string    `gorm:"column:puncture_nurse_id" json:"puncture_nurse_id" form:"puncture_nurse_id"`
}

func (TempHdDialysis) TableName() string {
	return "t_hd_dialysis"
}

type TempHdMiddle struct {
	ID             int64     `gorm:"column:id" json:"id" form:"id"`
	Sn             string    `gorm:"column:sn" json:"sn" form:"sn"`
	HospitalId     string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	PatientNk      string    `gorm:"column:patient_nk" json:"patient_nk" form:"patient_nk"`
	DialysisId     string    `gorm:"column:dialysis_id" json:"dialysis_id" form:"dialysis_id"`
	MonitorTime    time.Time `gorm:"column:monitor_time" json:"monitor_time" form:"monitor_time"`
	Sbp            int64     `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp            int64     `gorm:"column:dbp" json:"dbp" form:"dbp"`
	P              int64     `gorm:"column:p" json:"p" form:"p"`
	Ns             int64     `gorm:"column:ns" json:"ns" form:"ns"`
	Qb             int64     `gorm:"column:qb" json:"qb" form:"qb"`
	Ap             int64     `gorm:"column:ap" json:"ap" form:"ap"`
	Vp             int64     `gorm:"column:vp" json:"vp" form:"vp"`
	Tmp            int64     `gorm:"column:tmp" json:"tmp" form:"tmp"`
	Ufr            int64     `gorm:"column:ufr" json:"ufr" form:"ufr"`
	Ufv            int64     `gorm:"column:ufv" json:"ufv" form:"ufv"`
	OnLine         int64     `gorm:"column:on_line" json:"on_line" form:"on_line"`
	Spo2           float64   `gorm:"column:spo2" json:"spo2" form:"spo2"`
	R              int64     `gorm:"column:r" json:"r" form:"r"`
	OtherSituation string    `gorm:"column:other_situation" json:"other_situation" form:"other_situation"`
	Nurse          string    `gorm:"column:nurse" json:"nurse" form:"nurse"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj         time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj             string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz           int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1          string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2          string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	UpdateBy       int64     `gorm:"column:update_by" json:"update_by" form:"update_by"`
	UpdateTime     time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (TempHdMiddle) TableName() string {
	return "t_hd_middle"
}

type TempHdDivision struct {
	ID           int64     `gorm:"column:id" json:"id" form:"id"`
	DivisionId   int64     `gorm:"column:division_id" json:"division_id" form:"division_id"`
	HospitalId   string    `gorm:"column:hospital_id" json:"hospital_id" form:"hospital_id"`
	DivisionName string    `gorm:"column:division_name" json:"division_name" form:"division_name"`
	UpdateFlag   int64     `gorm:"column:update_flag" json:"update_flag" form:"update_flag"`
	UpdateTime   time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	CreateTime   time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	Sjscsj       time.Time `gorm:"column:sjscsj" json:"sjscsj" form:"sjscsj"`
	Mj           string    `gorm:"column:mj" json:"mj" form:"mj"`
	Xgbz         int64     `gorm:"column:xgbz" json:"xgbz" form:"xgbz"`
	Ylyl1        string    `gorm:"column:ylyl1" json:"ylyl1" form:"ylyl1"`
	Ylyl2        string    `gorm:"column:ylyl2" json:"ylyl2" form:"ylyl2"`
	DivisionType int64     `gorm:"column:division_type" json:"division_type" form:"division_type"`
}

func (TempHdDivision) TableName() string {
	return "t_hd_division"
}
